OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ShadingLanguageInclude

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBShadingLanguageInclude :: MonadIO m => m Bool
- gl_ARB_shading_language_include :: Bool
- pattern GL_NAMED_STRING_LENGTH_ARB :: GLenum
- pattern GL_NAMED_STRING_TYPE_ARB :: GLenum
- pattern GL_SHADER_INCLUDE_ARB :: GLenum
- glCompileShaderIncludeARB :: MonadIO m => GLuint -> GLsizei -> Ptr (Ptr GLchar) -> Ptr GLint -> m ()
- glDeleteNamedStringARB :: MonadIO m => GLint -> Ptr GLchar -> m ()
- glGetNamedStringARB :: MonadIO m => GLint -> Ptr GLchar -> GLsizei -> Ptr GLint -> Ptr GLchar -> m ()
- glGetNamedStringivARB :: MonadIO m => GLint -> Ptr GLchar -> GLenum -> Ptr GLint -> m ()
- glIsNamedStringARB :: MonadIO m => GLint -> Ptr GLchar -> m GLboolean
- glNamedStringARB :: MonadIO m => GLenum -> GLint -> Ptr GLchar -> GLint -> Ptr GLchar -> m ()

# Extension Support

glGetARBShadingLanguageInclude :: MonadIO m => m Bool Source #

Is the ARB_shading_language_include extension supported?

gl_ARB_shading_language_include :: Bool Source #

Is the ARB_shading_language_include extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBShadingLanguageInclude` in those cases instead.

# Enums

pattern GL_NAMED_STRING_LENGTH_ARB :: GLenum Source #

pattern GL_NAMED_STRING_TYPE_ARB :: GLenum Source #

pattern GL_SHADER_INCLUDE_ARB :: GLenum Source #

# Functions

glCompileShaderIncludeARB Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLsizei | `count`.
-> Ptr (Ptr GLchar) | `path` pointing to `count` elements of type `Ptr GLchar`.
-> Ptr GLint | `length` pointing to `count` elements of type `GLint`.
-> m () |

glDeleteNamedStringARB Source #

Arguments

:: MonadIO m |
=> GLint | `namelen`.
-> Ptr GLchar | `name` pointing to `namelen` elements of type `GLchar`.
-> m () |

glGetNamedStringARB Source #

Arguments

:: MonadIO m |
=> GLint | `namelen`.
-> Ptr GLchar | `name` pointing to `namelen` elements of type `GLchar`.
-> GLsizei | `bufSize`.
-> Ptr GLint | `stringlen` pointing to `1` element of type `GLint`.
-> Ptr GLchar | `string` pointing to `bufSize` elements of type `GLchar`.
-> m () |

glGetNamedStringivARB Source #

Arguments

:: MonadIO m |
=> GLint | `namelen`.
-> Ptr GLchar | `name` pointing to `namelen` elements of type `GLchar`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glIsNamedStringARB Source #

Arguments

:: MonadIO m |
=> GLint | `namelen`.
-> Ptr GLchar | `name` pointing to `namelen` elements of type `GLchar`.
-> m GLboolean | of type Boolean.

glNamedStringARB Source #

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLint | `namelen`.
-> Ptr GLchar | `name` pointing to `namelen` elements of type `GLchar`.
-> GLint | `stringlen`.
-> Ptr GLchar | `string` pointing to `stringlen` elements of type `GLchar`.
-> m () |